MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000816VCMIGUI - Adventure Mappublic2011-09-20 09:362016-11-11 08:22
ReporterZamolxis 
Assigned ToFay 
PrioritylowSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.86 
Target VersionFixed in Version0.97c 
Summary0000816: All removable map objects should have a fade out effect when picked
DescriptionThe fade out effect should take place at pick-up for resources, and after the pop-up windows related to the pick-up are closed for the other objects, and should be accompanied by the pick-up sound (see 0000814).

This is really low priority. The way they simply disappear now is not really bothering, but the H3 fade out effect was a bit nicer.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000814resolvedSXX Except for resources, all removable map objects are missing the pickup sound 
related to 0000817resolvedWarmonger Artifacts and Spell Scrolls should disappear from the Adventure Map after the related message window closes, not before 

-  Notes
(0005509)
SXX (administrator)
2015-02-15 07:40

This one is fully implemented in @Fay pull request:
https://github.com/vcmi/vcmi/pull/84 [^]
(0005544)
Fay (developer)
2015-02-18 19:05

Objects fading has beed added in PR#84, as noted by SXX.

And pickup sounds are in separate ticket, so I guess I can mark this as resolved.

- Issue History
Date Modified Username Field Change
2011-09-20 09:36 Zamolxis New Issue
2011-09-20 09:36 Zamolxis Issue generated from: 0000814
2011-09-20 09:36 Zamolxis Relationship added related to 0000814
2011-09-20 09:43 Zamolxis Issue cloned: 0000817
2011-09-20 09:43 Zamolxis Relationship added related to 0000817
2015-02-15 07:39 SXX Assigned To => Fay
2015-02-15 07:39 SXX Status new => assigned
2015-02-15 07:40 SXX Note Added: 0005509
2015-02-18 19:05 Fay Note Added: 0005544
2015-02-18 19:05 Fay Status assigned => resolved
2015-02-18 19:05 Fay Resolution open => fixed
2015-02-18 19:05 Fay Fixed in Version => 0.97c
2016-11-11 08:22 SXX Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean